> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoice download link

> Get the download link of the invoice. The link is valid for 24 hours. This is available for invoices, credit notes and cancellations.

<sup>Required permissions: `invoice:read`, `customer:invoice:read`</sup>



## OpenAPI

````yaml put /invoices/{id}/download-link
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /invoices/{id}/download-link:
    parameters: []
    put:
      tags:
        - Invoice
      summary: Get invoice download link
      description: >-
        Get the download link of the invoice. The link is valid for 24 hours.
        This is available for invoices, credit notes and cancellations.


        <sup>Required permissions: `invoice:read`, `customer:invoice:read`</sup>
      operationId: getInvoiceDownloadLink
      parameters:
        - name: secondsValid
          in: query
          description: >-
            The amount of seconds the download link should be valid. Default is
            24 hours.
          required: false
          deprecated: false
          allowEmptyValue: false
          schema:
            type: integer
            minimum: 5
          style: form
          explode: false
          allowReserved: false
          example: 86400
        - name: id
          in: path
          description: Invoice identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: Invoice resource updated
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Invoice.InvoiceDownloadUrl-InvoiceDownloadUrl
            text/html:
              schema:
                $ref: >-
                  #/components/schemas/Invoice.InvoiceDownloadUrl-InvoiceDownloadUrl
          links: {}
        '400':
          description: Invalid input
        '404':
          description: Resource not found
        '422':
          description: Unprocessable entity
      deprecated: false
      security:
        - JWT:
            - invoice:read
            - customer:invoice:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X PUT \
             /invoices/{id}/download-link \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    Invoice.InvoiceDownloadUrl-InvoiceDownloadUrl:
      type: object
      description: ''
      deprecated: false
      properties:
        url:
          description: The download URL
          example: https://coreapi.io/download/1234
          type: string
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````